# The Nextcloud endpoint for automatic account creation
# Should be in the format https://host/nextcloud that reflects the base url of the Nextcloud System
# ConfigCascade aware.
#
# Default: <empty>
com.openexchange.file.storage.nextcloud.oauth.url=

# Strategy to get the username of the /remote.php/dav/files/USERNAME/
#   Possible options:
#     * username - use the provisioned username of the user in ox
#     * user_status - fetches the userID from the nextcloud system
#                     using /ocs/v2.php/apps/user_status/api/v1/user_status
#                     (DEPRECATED! -- see NCLD-36)
#     * user - fetches the userID from the Nextcloud system,
#              using /ocs/v1.php/cloud/user
# ConfigCascade aware.
#
# Default: username
com.openexchange.file.storage.nextcloud.oauth.webdav.username.strategy=username

# The folder name shown in the OX Infostore
# ConfigCascade aware.
#
# Default: Nextcloud
com.openexchange.file.storage.nextcloud.oauth.displayName=Nextcloud

# The capability to enable the automatic handling of Nextcloud session based accounts
#
# Default: not_set
com.openexchange.capability.filestorage_nextcloud_oauth=

# The capability filestorage_nextcloud must also be enabled
#
# Default: not_set
com.openexchange.capability.filestorage_nextcloud=

# Should the /api/nextcloud/accesstoken JSON response contain the accessToken key and value?
# ConfigCascade aware.
#
# Default: true
com.openexchange.nextcloud.filepicker.includeAccessToken=true
